|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3CanvasRectangle Class Reference
[Qt3Support module]

The Q3CanvasRectangle class provides a rectangle on a Q3Canvas. More...

     #include <Q3CanvasRectangle>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Note to Qt Desktop Light Edition users: This class is only available in the Qt Desktop Edition.

Inherits Q3CanvasPolygonalItem.

- List of all members, including inherited members

### Public Functions

- Q3CanvasRectangle ( Q3Canvas * canvas )
- Q3CanvasRectangle ( const QRect & r, Q3Canvas * canvas )
- Q3CanvasRectangle ( int x, int y, int width, int height, Q3Canvas * canvas )
- ~Q3CanvasRectangle ()
- int height () const
- QRect rect () const
- virtual int rtti () const
- void setSize ( int width, int height )
- QSize size () const
- int width () const

- 8 public functions inherited from Q3CanvasPolygonalItem
- 34 public functions inherited from Q3CanvasItem

### Protected Functions

- virtual Q3PointArray chunks () const
- virtual void drawShape ( QPainter & p )

- 6 protected functions inherited from Q3CanvasPolygonalItem
- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasRectangle class provides a rectangle on a Q3Canvas.

This item paints a single rectangle which may have any pen() and brush(), but may not be tilted/rotated. For rotated rectangles, use Q3CanvasPolygon.

The rectangle's size and initial position can be set in the constructor. The size can be set or changed later using setSize(). Use height() and width() to retrieve the rectangle's dimensions.

The rectangle can be drawn on a painter with drawShape().

Like any other canvas item rectangles can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

See also QtCanvas and Porting to Graphics View.

## Member Function Documentation

### Q3CanvasRectangle::Q3CanvasRectangle ( Q3Canvas * canvas )

Constructs a rectangle at position (0,0) with both width and height set to 32 pixels on canvas.

### Q3CanvasRectangle::Q3CanvasRectangle ( const QRect & r, Q3Canvas * canvas )

Constructs a rectangle positioned and sized by r on canvas.

### Q3CanvasRectangle::Q3CanvasRectangle ( int x, int y, int width, int height, Q3Canvas * canvas )

Constructs a rectangle at position (x, y) and size width by height, on canvas.

### Q3CanvasRectangle::~Q3CanvasRectangle ()

Destroys the rectangle.

### Q3PointArray Q3CanvasRectangle::chunks () const `[virtual protected]`

Simply calls Q3CanvasItem::chunks().

### void Q3CanvasRectangle::drawShape ( QPainter & p ) `[virtual protected]`

Draws the rectangle on painter p.

Reimplemented from Q3CanvasPolygonalItem.

### int Q3CanvasRectangle::height () const

Returns the height of the rectangle.

### QRect Q3CanvasRectangle::rect () const

Returns the integer-converted x(), y() position and size() of the rectangle as a QRect.

### int Q3CanvasRectangle::rtti () const `[virtual]`

Returns 5 (Q3CanvasItem::Rtti_Rectangle).

Reimplemented from Q3CanvasItem.

See also Q3CanvasItem::rtti().

### void Q3CanvasRectangle::setSize ( int width, int height )

Sets the width and height of the rectangle.

See also size().

### QSize Q3CanvasRectangle::size () const

Returns the width() and height() of the rectangle.

See also rect() and setSize().

### int Q3CanvasRectangle::width () const

Returns the width of the rectangle.